Help - Kindle Fire Device Compatibility
Reset Search
 
HOME

 

Kindle Fire Device Compatibility



This page contains links to all documentation regarding installing Axis 360 on your Kindle Fire device.

The Axis 360 mobile app is currently available for installation in the Amazon App Store for 3rd, 4th, and 5th Generation Kindle Fire tablets.

Do you have a 3rd-generation and up Kindle Fire HD or HDX? You can install directly from the Amazon App Store on your Kindle tablet! 

Do you have an e-ink Kindle, or a 1st or 2nd Generation Kindle Fire? Unfortunately, Axis 360 is not compatible with these devices.

Not sure which Kindle Fire tablet you have? See the below chart. You can click on the link below the image for a larger, printable version. 

device compatibility chart